10 Replies Latest reply on May 13, 2016 5:45 AM by Dingo80

    VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "

    Shan Virtual Novice
    Visibility: Open to anyone

      Version:Esxi 5.5,

      NIC: 554 FLB adapter.

      Warning message: "WARNING: VmkMgmtSyncEventIoctl - unable to validate header"

       

      The above message started appearing after updating the NIC driver firmware version to  :10.5.65.21--Elxnet- 10.5.65.4

       

      Couldn't find much information about this warning message.Does anyone has any idea about this warning message ?

       

      Regards,

      Shan

        • 1. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
          Petuhr Lurker

          Same issue here.

           

          2015-08-04T08:35:01.400Z cpu28:35561)WARNING: VmkMgmtSyncEventIoctl - unable to validate header
          2015-08-04T08:35:01.400Z cpu28:35561)WARNING: VmkMgmtSyncEventIoctl - unable to validate header

           

          HP ProLiant BL460c Gen8
          554FLB Adapter

           

          We've recently upgraded to 5.5.0, 2718055.
          After that, we installed the HP SPP version 2015.06.0

           

          That supplied the following elxnet driver :

          Driver: elxnet
          Firmware Version: 10.5.65.21
          Version: 10.5.65.4

           

          Regards,
          Peter

          • 2. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
            Shan Virtual Novice

            @ peter... Did you open any ticket with VMware on this ?

            • 4. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
              Shan Virtual Novice

              And the solution is t update the 'hp-smx-provider '  bundle to the latest version that is available and the error will go away.

               

              Regards,

              Shan

              • 5. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "

                Hi Shan,

                 

                No, didn't open a case with HP or VMWare.

                 

                What version of hp-smx-provider are you currently using?


                Regards,
                Peter

                • 6. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
                  Shan Virtual Novice

                  @peter

                   

                     hp-smx-providers vib version 550.03.08.00.12-1198610

                   

                  hp-esxi5.5uX-bundle-2.3-17.zip

                   

                  Regards,

                  Shan

                  • 7. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
                    Petuhr Lurker

                    Hi Shan,

                     

                    We're using the same version now.

                     

                    We had some issues with some hosts that still got the message after updating the hp-smx-provider.

                    Turned out the host was installed with an early 5.5.0 release, and then updated tot 5.5.0 build 2718055.

                     

                    All the hosts that were OK after updating hp-smx-provider used to be 5.1.0 hosts.

                     

                    So :

                     

                    5.1.0 -> update with HP-ESXi-5.5.0-Update2 -> update to 5.5.0 2718055 = OK

                    5.5.0 -> update to 5.5.0 2718055 = Not OK

                     

                     

                    Turns out that the 5.5.0 hosts have a slightly different build number in the HP tooling :

                     

                    ~ # esxcli software vib list | grep hp-build

                    hp-build                       5.76.36-1198610                        Hewlett-Packard  PartnerSupported  2015-02-25

                     

                    And the 5.1.0 updated to 5.5.0 hosts :


                    ~ # esxcli software vib list | grep hp-build

                    hp-build                       550.9.2.27-1198610                     Hewlett-Packard  PartnerSupported  2015-08-11


                    Couldn't find a .vib for this hp-build thing yet....

                     

                    Solution :
                    Update the 5.5.0 hosts that give the error with the HP ESXi 5.5.0 Update 2 ISO
                    After doing that, the hp-build is the correct version, and the error is gone.

                    • 8. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
                      wilber8222 Novice
                      vExpert

                      Just reference for everyone. The bundle name actually is "HP ESXi 5.5 Management Bundle 2.3-1"

                      • 9. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
                        vMarkusK1985 Hot Shot
                        vExpert

                        Same Problem, other Versions:

                         

                        char-hpcru 5.5.6.6-1OEM.550.0.0.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        char-hpilo 550.9.0.2.3-1OEM.550.0.0.1198610 Hewlett-Packard  PartnerSupported 2016-01-19

                        hp-ams 550.10.3.0-15.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hp-build 550.9.2.40.2-1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hp-conrep 5.5.0.1-0.0.8.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hp-esxi-fc-enablement 550.2.4.6-1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hp-smx-provider 550.03.09.00.15-1198610 Hewlett-Packard  VMwareAccepted    2016-01-19

                        hpbootcfg 5.5.0.02-01.00.5.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hpnmi 550.2.3.5-1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hponcfg 5.5.0.4.4-0.3.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        hpssacli 2.30.6.0-5.5.0.1198611 Hewlett-Packard  PartnerSupported  2016-01-19

                        hptestevent 5.5.0.01-00.01.4.1198610 Hewlett-Packard  PartnerSupported  2016-01-19

                        scsi-hpdsa 5.5.0.26-1OEM.550.0.0.1331820 Hewlett-Packard  PartnerSupported  2016-01-19

                        scsi-hpsa 5.5.0.114-1OEM.550.0.0.1331820 Hewlett-Packard  VMwareCertified   2016-01-19

                        scsi-hpvsa 5.5.0-92OEM.550.0.0.1331820 Hewlett-Packard  PartnerSupported  2016-01-19

                         

                         

                        ESXi 5.5.0 2718055

                        SPP2015.10



                        ~ # esxcli network nic get -n vmnic0

                           Advertised Auto Negotiation: false

                           Advertised Link Modes: 1000baseT/Full, 10000baseT/Full

                           Auto Negotiation: false

                           Cable Type:

                           Current Message Level: -1

                           Driver Info:

                                 Bus Info: 0000:03:00:0

                                 Driver: elxnet

                                 Firmware Version: 10.5.155.0

                                 Version: 10.2.445.0

                           Link Detected: true

                           Link Status: Up

                           Name: vmnic0

                           PHYAddress: 0

                           Pause Autonegotiate: false

                           Pause RX: true

                           Pause TX: true

                           Supported Ports:

                           Supports Auto Negotiation: false

                           Supports Pause: true

                           Supports Wakeon: true

                           Transceiver:

                           Wakeon: MagicPacket(tm)

                        ~ # esxcli network nic list

                        Name    PCI Device     Driver  Link  Speed  Duplex  MAC Address         MTU  Description

                        ------  -------------  ------  ----  -----  ------  -----------------  ----  ----------------------------------------------------------------

                        vmnic0  0000:003:00.0  elxnet  Up    10000  Full    ac:16:2d:ab:c8:d8  1500  Emulex Corporation HP FlexFabric 10Gb 2-port 554FLR-SFP+ Adapter

                        vmnic1  0000:003:00.1  elxnet  Up    10000  Full    ac:16:2d:ab:c8:dc  1500  Emulex Corporation HP FlexFabric 10Gb 2-port 554FLR-SFP+ Adapter

                        • 10. Re: VMkernel warning message :"WARNING: VmkMgmtSyncEventIoctl - unable to validate header "
                          Dingo80 Novice

                          I'm having this warning message now

                          as suggested I updated the hpe-smx-provider to the latest version.

                           

                           

                          hpe-smx-provider               550.03.10.00.13-1198610                HPE              VMwareAccepted    2016-05-13

                           

                          did this by downloading the latest management bundle.

                           

                          hpe-esxi5.5uX-bundle-2.5.0-19

                          https://vibsdepot.hpe.com/hpe/apr2016/esxi-550-bundles/hpe-esxi5.5uX-bundle-2.5.0-19.zip

                           

                          SPP 2016.04

                          hosts are on esxi 5.5 update 3a

                          vcenter 5.5 update 3d

                           

                           

                          esxcli network nic get -n vmnic0

                             Advertised Auto Negotiation: true

                             Advertised Link Modes: 10000baseT/Full

                             Auto Negotiation: false

                             Cable Type:

                             Current Message Level: -1

                             Driver Info:

                                   Bus Info: 0000:04:00:0

                                   Driver: elxnet

                                   Firmware Version: 10.7.110.31

                                   Version: 10.5.121.7

                             Link Detected: true

                             Link Status: Up

                             Name: vmnic0

                             PHYAddress: 0

                             Pause Autonegotiate: false

                             Pause RX: false

                             Pause TX: false

                             Supported Ports:

                             Supports Auto Negotiation: false

                             Supports Pause: true

                             Supports Wakeon: true

                             Transceiver:

                             Wakeon: MagicPacket(tm)

                           

                           

                          hba drivers:

                           

                          Emulex OneConnect FCoE SCSI 10.7.110.4
                          HP FlexFabric 10Gb 2-port 554FLB Adapter on PCI bus 0000:04 device 00 fn 2 port 1 Logical Link Speed: 8000 Mbps

                          BoardNum:       0
                          FW Version:     10.7.110.31
                          HW Version:     00000003
                          ROM Version:    10.7.110.31
                          SerialNum:      H3520560CQ
                          Vendor Id:      71419a2

                           

                           

                           

                          not sure where to go from here... any suggestions?